Subject: bug#26559: [PATCH] build: emacs: Install only a subset of files.

From: tumashu <[email-masked]>
Date: Thu, 20 Apr 2017 10:26:17 +0800 (CST)

PACKAGE-pkg.el seem to *only* useful to package.el,   it is useless for guix emacs package.

The below is come from package.el's commentary

#+BEGIN_COMMENT

;; A package is described by its name and version.  The distribution
;; format is either  a tar file or a single .el file.

;; A tar file should be named "NAME-VERSION.tar".  The tar file must
;; unpack into a directory named after the package and version:
;; "NAME-VERSION".  It must contain a file named "PACKAGE-pkg.el"
;; which consists of a call to define-package.  It may also contain a
;; "dir" file and the info files it references.

;; A .el file is named "NAME-VERSION.el" in the remote archive, but is
;; installed as simply "NAME.el" in a directory named "NAME-VERSION".

#+END_COMMENT

At 2017-04-19 22:26:06, "Arun Isaac" <[email-masked]> wrote:
>
>tumashu writes:
>
>> *.pkg.el seem to be used by emacs package.el, which can not be compile
>> without warn. I can not find the document.  this need to be verify.
>
>In the current implementation, *.pkg.el files will be installed due to
>the ".*.el" regexp in #:include. So, this is not an issue.
>
>
>